UnwrappedPropertyHandler
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.impl

## Class UnwrappedPropertyHandler

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.UnwrappedPropertyHandler

-     public class UnwrappedPropertyHandler
      extends java.lang.Object

  Object that is responsible for handling acrobatics related to deserializing "unwrapped" values; sets of properties that are embedded (inlined) as properties of parent JSON object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SettableBeanProperty>` | `_properties`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UnwrappedPropertyHandler()`
    `protected` | `UnwrappedPropertyHandler(java.util.List<SettableBeanProperty> props)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(SettableBeanProperty property)`
    `java.lang.Object` | `processUnwrapped(com.fasterxml.jackson.core.JsonParser originalParser, DeserializationContext ctxt, java.lang.Object bean, TokenBuffer buffered)`
    `UnwrappedPropertyHandler` | `renameAll(NameTransformer transformer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _properties

          protected final java.util.List<SettableBeanProperty> _properties

  - ### Constructor Detail

    - #### UnwrappedPropertyHandler

          public UnwrappedPropertyHandler()

    - #### UnwrappedPropertyHandler

          protected UnwrappedPropertyHandler(java.util.List<SettableBeanProperty> props)

  - ### Method Detail

    - #### addProperty

          public void addProperty(SettableBeanProperty property)

    - #### renameAll

          public UnwrappedPropertyHandler renameAll(NameTransformer transformer)

    - #### processUnwrapped

          public java.lang.Object processUnwrapped(com.fasterxml.jackson.core.JsonParser originalParser,
                                          DeserializationContext ctxt,
                                          java.lang.Object bean,
                                          TokenBuffer buffered)
                                            throws java.io.IOException,
                                                   com.fasterxml.jackson.core.JsonProcessingException

      Throws:
        `java.io.IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`